Name:           oyranos
Version:        0.4.0
Release:        7%{?dist}
Summary:        The Oyranos Color Management System (CMS) 

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.oyranos.org
Source0:        http://downloads.sourceforge.net/oyranos/oyranos-%{version}.tar.bz2
Patch0:         oyranos-0.3.2-shared_NVCtrl.patch
Patch1:         oyranos-0.4.0-pc_fix.patch
Patch2:         oyranos-0.3.2-yajl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  OpenEXR-devel
BuildRequires:  boost-devel
BuildRequires:  cups-devel
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  elektra-devel
BuildRequires:  exiv2-devel
BuildRequires:  freetype-devel
BuildRequires:  gettext
BuildRequires:  fltk-devel
BuildRequires:  imake
BuildRequires:  lcms-devel >= 1.14
BuildRequires:  lcms2-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libxslt-devel
BuildRequires:  libpng-devel
BuildRequires:  LibRaw-devel
BuildRequires:  libtiff-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libXcm-devel >= 0.5.0
BuildRequires:  libXNVCtrl-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libX11-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  libXrandr-devel
BuildRequires:  sane-backends-devel
BuildRequires:  color-filesystem
BuildRequires:  yajl-devel >= 1.0
Requires:  color-filesystem
Requires:  %{name}-libs = %{version}-%{release}

Requires:  icc-profiles-openicc >= 1.3.0
Requires:  icc-profiles-basiccolor-printing2009

Requires(post): %{_bindir}/elektra-kdb



%description
The Color Management System (CMS) Oyranos is intended to coordinate device
specific information (ICC colour profiles) and configure their system wide
settings. Target is a predictable path for applications and users to match
colors across devices and across platforms. 

Oyranos is intended as a OS level CMS.

%package libs
Summary:        Libraries for %{name}
Group:          System Environment/Libraries

%description libs
The Color Management System (CMS) Oyranos is intended to coordinate device
specific information (ICC colour profiles) and configure their system wide
settings. Target is a predictable path for applications and users to match
colors across devices and across platforms. 

Oyranos is intended as a OS level CMS.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
# -doc deprecation introducted in F-11
Provides:       %{name}-doc = %{version}-%{release}
Obsoletes:      %{name}-doc < 0.1.9-2
Requires:       pkgconfig
Requires:       libX11-devel
Requires:       libXinerama-devel

%description devel
This package contains development files for %{name}.



%prep
%setup -q
%patch0 -p1 -b .NVCtrl
%patch1 -p1 -b .pc_fix
%patch2 -p1 -b .yajl

#Kill interl yajl
rm -rf yajl


%build
%configure --disable-static --syscolordir=%{_colordir}

make %{?_smp_mflags}

# Doxygen documentation generated here
make docu

%install
rm -rf $RPM_BUILD_ROOT __doc

make DESTDIR=$RPM_BUILD_ROOT install_bin install_linguas install_gui

# Remove unneeded files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'

# Multilib tweaks
touch -r ChangeLog $RPM_BUILD_ROOT%{_bindir}/%{name}-config
touch -r ChangeLog doc/html/*
touch -r ChangeLog $RPM_BUILD_ROOT%{_includedir}/%{name}/oyranos_version.h

#Manual install
mkdir -p $RPM_BUILD_ROOT%{_settingscolordir}
install -pm 0644 settings/*.policy.xml $RPM_BUILD_ROOT%{_settingscolordir}


%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT 


%post libs -p /sbin/ldconfig

%post 
if [ "`elektra-kdb ls system/sw/oyranos 2>/dev/zero | wc -l`" -eq 0 ]; then
  oyranos-policy -i %{_settingscolordir}/office.policy.xml  > /dev/null 2>&1
fi || :

%postun libs -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%exclude %{_sysconfdir}/xdg/autostart/oyranos-monitor-setup.desktop
%{_bindir}/%{name}-monitor
%{_bindir}/%{name}-monitor-daemon
%{_bindir}/%{name}-monitor-nvidia
%{_bindir}/%{name}-config-fltk
%{_bindir}/%{name}-policy
%{_bindir}/%{name}-profile
%{_bindir}/%{name}-profile-install
%{_bindir}/%{name}-profiles
%{_datadir}/applications/oyranos-profile-install.desktop
#{_mandir}/man1/%{name}-config-fltk.*
#{_mandir}/man1/%{name}-policy.*
%{_datadir}/color/settings/*.policy.xml

%files libs
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%dir %{_libdir}/colour
%dir %{_libdir}/colour/modules
%{_libdir}/colour/modules/*.so.*
%dir %{_libdir}/oyranos
%{_libdir}/oyranos/*.so*

%files devel
%defattr(-,root,root,-)
%doc doc/html/*
%{_bindir}/%{name}-config
#{_mandir}/man3/%{name}.*
#{_mandir}/man3/%{name}-config.*
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}*.pc


%changelog
* Sun Mar 10 2013 Rex Dieter <rdieter@fedoraproject.org> - 0.4.0-7
- rebuild (OpenEXR)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 03 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.4.0-5
- Add missing BR

* Tue Oct 02 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.4.0-4
- Add Requires icc-profiles-basiccolor-printing2009

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 0.4.0-2
- rebuild (exiv2)

* Sun Apr 08 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Wed Jan 11 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.3.2-3
- Add Requires icc-profiles-openicc
- Enable lcms2 support
- Build with system yajl

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.3.2-2
- Rebuild for new libpng

* Sun Nov 20 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.3.2-1
- Update to 0.3.2

* Fri Oct 14 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.3.1-2
- rebuild (exiv2)

* Tue Jul 26 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.3.1-1
- Update to 0.3.1

* Fri May 27 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.2.0-5
- Rebuild for new fltk

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 07 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.2.0-2
- Update to 0.2.0
- Exclude autostart desktop file for now
- Disable lcms2 for now

* Sun Nov 07 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.1.12-2
- Update to 0.1.12
- Back to upstream tarball usage
  (ICC profiles are redistributed elsewhere)
- Fix pkg-config file.

* Sun Aug 22 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.1.10-1
- Update to 0.1.10
- Fix description

* Wed Jun 23 2010 Dan Horák <dan[at]danny.cz> - 0.1.9-5
- fixed FTBFS #564777 and #599809

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 10 2009 kwizart < kwizart at gmail.com > - 0.1.9-3
- Fix wrong %%post requires

* Mon Mar  9 2009 kwizart < kwizart at gmail.com > - 0.1.9-2
- Remove unused patch
- Merge -doc in -devel
- Add missing BR libtiff-devel

* Thu Mar  5 2009 kwizart < kwizart at gmail.com > - 0.1.9-1
- Update to 0.1.9

* Sun Sep 28 2008 kwizart < kwizart at gmail.com > - 0.1.7-12
- Fix patch fuzz

* Thu Mar  6 2008 kwizart < kwizart at gmail.com > - 0.1.7-11
- Make oyranos-config a wrapper for pkgconfig

* Tue Mar  4 2008 kwizart < kwizart at gmail.com > - 0.1.7-10
- Comment out %%post with %%if 0
- Add BR graphviz
- Upate Doxygen before generation (-u) 
  (set CLASS_GRAPH and COLLABORATION_GRAPH to NO )
- Remove Requires color-filesystem for -devel
- Rename man1 to man3 within man pages.

* Sat Mar  1 2008 kwizart < kwizart at gmail.com > - 0.1.7-9
- Drop monitor-nvidia (will be bundled in the main package)
- Comment out the oyranos default policy until some profiles
  are available within the repository.
- Reenable oyranos-config with tweaks for multilibs
  (will be properly fixed later with pkgconfig)
- Add Requirement needed by oyranos_moni.pc
- Add README-Fedora-ICC_PROFILES

* Wed Feb 20 2008 kwizart < kwizart at gmail.com > - 0.1.7-8
- Uses color-filesystem BR and macros
- Split the doc
- Split monitor-nvidia from the main package and use alternatives
- Fix wrong file encoding not-utf8 ChangeLog
- Tweak oyranos_version.h
- Remove oyranos-config (we should use pkgconfig instead)
- Repackage the sources.

* Thu Aug 16 2007 kwizart < kwizart at gmail.com > - 0.1.7-7
- Move oyranos-config to -devel
- Add Requires elektra-devel for oyranos-devel
- Use ldconfig for -libs only
- Fix .pc files

* Thu Aug 16 2007 kwizart < kwizart at gmail.com > - 0.1.7-6
- Move man3 to -devel
- Remove .a and .la after install step
- Drop the elektra keys registration for now:
  http://www.libelektra.org/Best_Practices_When_Creating_Keys
  User will have to register them by himself

* Tue Jul 10 2007 kwizart < kwizart at gmail.com > - 0.1.7-5
- Directory ownership for %%{_datadir}/color/settings
- Drop unused macros

* Sun Jun 17 2007 kwizart < kwizart at gmail.com > - 0.1.7-4
- Uses patches to fix things
- Removed unused macros
- Removed patented icc profiles

* Mon May 14 2007 kwizart < kwizart at gmail.com > - 0.1.7-3
- Fixed remaining rpaths

* Sat May 12 2007 kwizart < kwizart at gmail.com > - 0.1.7-2
- Disabled internal elektra.
- Exclude oyranos-config.
- Include Various Licenses files.

* Sun Apr 10 2007 kwizart < kwizart at gmail.com > - 0.1.7-1
- Update to final 0.1.7

* Sun Apr  1 2007 kwizart < kwizart at gmail.com > - 0.1.7-0.1.rc8
- Initial Fedora release

* Sat Sep 16 2006 Kai-Uwe Behrmann
- set default policy if no settings are found

* Sat May 28 2005 - Kai-Uwe Behrmann
- packaging

* Tue Apr 21 2005 Kai-Uwe Behrmann
- first release
